const TILE_NAMES = {
    "0": "Bamboo 1",
    "1": "Bamboo 2",
    "2": "Bamboo 3",
    "3": "Bamboo 4",
    "4": "Bamboo 5",
    "5": "Bamboo 6",
    "6": "Bamboo 7",
    "7": "Bamboo 8",
    "8": "Bamboo 9",
    "9": "Characters 1",
    "10": "Characters 2",
    "11": "Characters 3",
    "12": "Characters 4",
    "13": "Characters 5",
    "14": "Characters 6",
    "15": "Characters 7",
    "16": "Characters 8",
    "17": "Characters 9",
    "18": "Dots 1",
    "19": "Dots 2",
    "20": "Dots 3",
    "21": "Dots 4",
    "22": "Dots 5",
    "23": "Dots 6",
    "24": "Dots 7",
    "25": "Dots 8",
    "26": "Dots 9",
    "27": "East",
    "28": "South",
    "29": "West",
    "30": "North",
    "31": "Green dragon",
    "32": "Red dragon",
    "33": "White dragon"
  };
    
  const TILE_CODES = {
    "0": "b1",
    "1": "b2",
    "2": "b3",
    "3": "b4",
    "4": "b5",
    "5": "b6",
    "6": "b7",
    "7": "b8",
    "8": "b9",
    "9": "c1",
    "10": "c2",
    "11": "c3",
    "12": "c4",
    "13": "c5",
    "14": "c6",
    "15": "c7",
    "16": "c8",
    "17": "c9",
    "18": "d1",
    "19": "d2",
    "20": "d3",
    "21": "d4",
    "22": "d5",
    "23": "d6",
    "24": "d7",
    "25": "d8",
    "26": "d9",
    "27": "E",
    "28": "S",
    "29": "W",
    "30": "N",
    "31": "F",
    "32": "C",
    "33": "P"
  };
    
  const TILE_GLYPHS = {
    "0": "Sou1.svg",
    "1": "Sou2.svg",
    "2": "Sou3.svg",
    "3": "Sou4.svg",
    "4": "Sou5.svg",
    "5": "Sou6.svg",
    "6": "Sou7.svg",
    "7": "Sou8.svg",
    "8": "Sou9.svg",
    "9": "Man1.svg",
    "10": "Man2.svg",
    "11": "Man3.svg",
    "12": "Man4.svg",
    "13": "Man5.svg",
    "14": "Man6.svg",
    "15": "Man7.svg",
    "16": "Man8.svg",
    "17": "Man9.svg",
    "18": "Pin1.svg",
    "19": "Pin2.svg",
    "20": "Pin3.svg",
    "21": "Pin4.svg",
    "22": "Pin5.svg",
    "23": "Pin6.svg",
    "24": "Pin7.svg",
    "25": "Pin8.svg",
    "26": "Pin9.svg",
    "27": "Ton.svg",
    "28": "Nan.svg",
    "29": "Shaa.svg",
    "30": "Pei.svg",
    "31": "Hatsu.svg",
    "32": "Chun.svg",
    "33": "Haku.svg"
  };
    
  const SUIT_NAMES = {
    "0": "Bamboo",
    "1": "Characters",
    "2": "Dots",
    "3": "Winds",
    "4": "Dragons"
  };

export default class Tile {
    constructor(id_tuile) {
        this.id_tuile = id_tuile;
        Tile.numInstances = (Tile.numInstances || 0) + 1;
        this.idobject=Tile.numInstances;
    }

    /**
     * Get name of the Tile
     */
    getName(){
        return TILE_NAMES[this.id_tuile];
    }

    /**
     * Get the symbol of the Tile
     */
    getSVG(){
        return TILE_GLYPHS[this.id_tuile];
    }

    /**
     * Get the code of the Tile
     */
    getCode(){
        return TILE_CODES[this.id_tuile];
    }

    /**
     * Get the family of the Tile
     */
    getFamily(){
        const divEucl = Math.floor(this.id_tuile/9);
        if(divEucl<=3){
            return SUIT_NAMES[divEucl];
        }else if(this.id_tuile<=30 && this.id_tuile>=27){
            return SUIT_NAMES[3];
        }else if(this.id_tuile<=33 && this.id_tuile>=31){
            return SUIT_NAMES[4];
        }else{
            return 'Unknown';
        }
    }
}